# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools xdg-utils

DESCRIPTION="An astronomical image processing tool"
HOMEPAGE="https://www.siril.org/"
SRC_URI="https://gitlab.com/free-astro/${PN}/-/archive/${PV}/${PN}-${PV}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="curl ffmpeg gnuplot heif jpeg png raw tiff"
WORKDIR=

RDEPEND="
	curl? ( net-libs/curl )
	ffmpeg? ( virtual/ffmpeg )
	gnuplot? ( sci-visualisation/gnuplot )
	heif? ( media-libs/libheif )
	jpeg? ( virtual/jpeg )
	png? ( media-libs/libpng )
	raw? ( media-libs/libraw )
	tiff? ( media-libs/tiff )
"
DEPEND="
	${RDEPEND}
	x11-libs/gtk+:3=
	sci-libs/cfitsio
	sci-libs/fftw:3.0=
	sci-libs/gsl
	dev-libs/libconfig
	media-libs/opencv
	media-gfx/exiv2
"

DOCS=( README.md NEWS ChangeLog )

src_prepare() {
    eautoreconf
    default
    }

pkg_postinst() {
    xdg_desktop_database_update
    xdg_mimeinfo_database_update 
}

pkg_postrm() {
    xdg_desktop_database_update
    xdg_mimeinfo_database_update 
}
    
