# Copyright 1999-2020 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit pam eutils git-r3 autotools autotools-utils

DESCRIPTION="Poldi is a PAM module implementing authentication via OpenPGP smartcards."
HOMEPAGE="http://www.gnupg.org/"
EGIT_REPO_URI="https://github.com/gpg/poldi.git"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE="usb"

DEPEND="dev-libs/libgcrypt:0
	virtual/pam
	>=dev-libs/libgpg-error-0.7
	usb? ( virtual/libusb:0 )"

RDEPEND="${DEPEND}"

DOCS=( AUTHORS ChangeLog INSTALL NEWS README THANKS )

AUTOTOOLS_AUTORECONF=1

AUTOTOOLS_IN_SOURCE_BUILD=1

PATCHES=( "${FILESDIR}/poldi-9999_fix_maintainer_mode.diff" )

src_configure() {
	local myeconfargs=(
		--with-pam-module-directory=/lib64/security
		)
	autotools-utils_src_configure
}

src_install() {
	default
	insinto /etc/poldi
	doins "${FILESDIR}"/poldi.conf.example
}
